id: messenger-phish

info:
  name: messenger phishing Detection
  author: rxerium
  severity: info
  description: |
    A messenger phishing website was detected
  reference:
    - https://messenger.com
  metadata:
    max-request: 1
  tags: phishing,messenger,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Hang out anytime, anywhere&#x2014;Messenger makes it easy and fun to stay close to your favorite people'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"messenger.com")'
# digest: 4a0a0047304502206c5d738c6e184c3d0f40cac64c1144b87d89115e016379fdaf1c7a32cf7590460221009e2f1bb0d69b9a9acfba7b26ea79644d31acd2405e5f8615fefbc1f645c21e7c:922c64590222798bb761d5b6d8e72950